View Issue Details

IDProjectCategoryView StatusLast Update
0000015Siril[All Projects] Sirilpublic2015-09-11 14:34
Reporterlock42Assigned Tovinvin 
PrioritynormalSeverityfeatureReproducibilityN/A
Status resolvedResolutionfixed 
PlatformGNU/Linux 64bitsOSDebianOS VersionTesting
Product Version0.9.0rc1 
Target Version0.9.0Fixed in Version0.9.0 
Summary0000015: Parallelization in stacking
DescriptionIn parallelization code, try to read several lines of each file in same time instead of just one. Then iterate on the pixels of these lines
TagsNo tags attached.

Relationships

related to 0000026 resolvedlock42 Allow maximum memory used in stacking to be configured by user 
related to 0000039 assignedvinvin Handle Super Pixel demosaicing algorithm in on-the-fly SER stacking 
child of 0000002 resolvedvinvin Implement all stacking methods for all SER sequences 

Activities

vinvin

2015-06-17 15:09

administrator   ~0000005

With the new read_partial_image that takes an area, it should be easy to do. The goal is to make benchmarks over various image number, processor number, line number and I/O throughputs to find settings that are fast for everybody. Maybe an option will be required for fast (SSD/tmpfs) or slow (HDD, network) file access.

vinvin

2015-07-02 04:24

administrator   ~0000017

Max memory is now only default value, it should appear in settings and be saved in the config file.

Related Changesets

Siril: / r899

2015-06-29 02:38:36

vinvin

Details
Working on the crash on SER demosaicing (issue 0000015), it was again a wrongly calculated window.
Work is not finished because of very poor performance, see the ticket, and native RGB SER is not developed yet.
It's so long I don't even know if the issue is actually fixed.
Affected Issues
0000015
mod - /src/callbacks.c
mod - /src/demosaicing.c
mod - /src/sequence.c
mod - /src/ser.c

Siril: / r902

2015-07-02 04:39:06

vinvin

Details
Working on new parallel median stacking (issue 0000015). Seems to work for monochrome SER and FITS sequences.
Affected Issues
0000015
mod - /src/siril.c
mod - /src/siril.h
mod - /src/stacking.c
mod - /src/stacking.h
mod - /src/utils.c

Siril: / r905

2015-07-02 23:03:42

vinvin

Details
Fixing processing area computation for new median stacking (issue 0000015).
FITS are in fact not properly stacked, lines are upside-down inside the blocks.
Affected Issues
0000015
mod - /src/stacking.c

Siril: / r907

2015-07-04 02:38:01

vinvin

Details
Fixing the new stacking for multi-channel images (issue 0000015).
Adding forgotten check for FITS opening, which caused crash when a file was removed from a sequence.
Affected Issues
0000015
mod - /src/stacking.c

Siril: / r912

2015-07-08 03:57:19

vinvin

Details
Finer-grained locks for opened-file operations, used in the new median stacking, especially to parallelize debayer operations on SER (issue 0000015, issue 0000002).
SER debayer has a faulty area with a small offset, resulting in wrong results, but monochrome SER and all FITS seem to be working as before.
Affected Issues
0000002, 0000015
mod - /src/callbacks.c
mod - /src/conversion.c
mod - /src/image_format_fits.c
mod - /src/proto.h
mod - /src/sequence.c
mod - /src/ser.c
mod - /src/ser.h
mod - /src/siril.h
mod - /src/stacking.c
mod - /src/stacking.h

Siril: / r915

2015-07-09 01:25:32

vinvin

Details
Fixing debayer area in issue 0000015 and issue 0000002.
Remains one issue: debayer VNG is not reentrant.
Affected Issues
0000002, 0000015
mod - /src/demosaicing.c
mod - /src/stacking.h

Siril: / r934

2015-07-18 03:00:33

vinvin

Details
Fixing 32-bit integer overflow on memory calculation for stacking blocks (issue 0000026).
Fixing a programming error in cases where not enough memory is available to process an entire channel in a single-pass (issue 0000015).
Affected Issues
0000015, 0000026
mod - /src/stacking.c

Siril: / r989

2015-09-03 03:56:36

vinvin

Details
Working again on the stacking parallelism that was failing in some cases (bug 0000053, issue 0000015, issue 0000002).
Fixing the wrong debayer area on shifty stacking on the bottom of images.
Fixing registration for SER, removing wfit use in favour of local variables in registration.c.
Affected Issues
0000002, 0000015, 0000053
mod - /src/registration.c
mod - /src/sequence.c
mod - /src/stacking.c

Siril: / r993

2015-09-11 13:48:46

lock42

Details
Fixing bug in issue 0000015 Affected Issues
0000015
mod - /src/stacking.c

Issue History

Date Modified Username Field Change
2015-06-16 16:00 lock42 New Issue
2015-06-17 15:09 vinvin Note Added: 0000005
2015-06-17 21:09 lock42 Assigned To => vinvin
2015-06-17 21:09 lock42 Status new => assigned
2015-06-29 02:30 vinvin Relationship added child of 0000002
2015-06-29 02:38 vinvin Changeset attached => Siril / r899
2015-06-29 15:47 lock42 Product Version 0.9.0 => 0.9.0rc2
2015-06-29 15:47 lock42 Target Version 0.9.0 => 0.9.0rc2
2015-07-02 04:24 vinvin Note Added: 0000017
2015-07-02 04:39 vinvin Changeset attached => Siril / r902
2015-07-02 22:43 vinvin Relationship added related to 0000026
2015-07-02 23:03 vinvin Changeset attached => Siril / r905
2015-07-02 23:11 vinvin Changeset attached => Siril / r903
2015-07-03 01:33 vinvin Changeset attached => Siril / r906
2015-07-03 02:49 vinvin Changeset removed Siril / r899 =>
2015-07-04 02:38 vinvin Changeset attached => Siril / r907
2015-07-08 03:57 vinvin Changeset attached => Siril / r912
2015-07-09 01:25 vinvin Changeset attached => Siril / r915
2015-07-14 03:22 vinvin Relationship added related to 0000039
2015-07-15 22:31 vinvin Changeset attached => Siril / r899
2015-07-15 22:31 vinvin Changeset attached => Siril / r902
2015-07-15 22:31 vinvin Changeset attached => Siril / r905
2015-07-15 22:31 vinvin Changeset attached => Siril / r907
2015-07-15 22:31 vinvin Changeset attached => Siril / r912
2015-07-15 22:31 vinvin Changeset attached => Siril / r915
2015-07-15 22:38 vinvin Status assigned => resolved
2015-07-15 22:38 vinvin Fixed in Version => 0.9.0rc2
2015-07-15 22:38 vinvin Resolution open => fixed
2015-07-18 03:00 vinvin Changeset attached => Siril / r934
2015-07-28 15:02 lock42 Target Version 0.9.0rc2 => 0.9.0
2015-07-28 15:03 lock42 Fixed in Version 0.9.0rc2 => 0.9.0
2015-08-13 10:44 lock42 Product Version => 0.9.0rc1
2015-09-03 03:56 vinvin Changeset attached => Siril / r989
2015-09-03 15:08 lock42 Relationship added parent of 0000071
2015-09-08 15:49 lock42 Relationship deleted parent of 0000071
2015-09-11 14:34 lock42 Changeset attached => Siril / r993
2016-12-19 16:32 lock42 Category General => Software Development
2016-12-19 16:50 lock42 Category Software Development => Software
2016-12-19 23:30 lock42 Category Software => Siril